/* CSS Styles */
*{
        font-family: "Didact Gothic", serif;
        box-sizing: border-box;
}
body{
    background-color: aliceblue;
    background-image: url(images/topography.png);
    margin: 0;
}
h1{
    font-size: 2.5rem;
    color: dimgray;
}
h2{
    font-size: 2.5rem;
    color: dimgray;
}
p, ul, ol{
    font-size: 1rem;
    color:black;
}
a:link {
    color: cadetblue;
    text-decoration: none;
}
a:hover, a:visited {
    color: rgb(42, 90, 92);
    text-decoration: underline;
}

img {
    max-width: 100%;
}
/* Button style */
.button a:link, .button a:visited{
    color: rgb(81, 81, 81);
    border: rgb(81, 81, 81) thin solid;
    padding: 10px 0;
    display: block;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;

}
.button a:hover {
border: black thin solid;
color: white;
background-color: black;
}

/*Header styles*/
header{
    background-color: rgb(212, 226, 227);
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
    padding: 0 5%;
    text-transform: uppercase;
    height: 90px;
}
header h1 {
    grid-column: 1 /span 6;
    margin-top: 15px;
}
header h1 a:link {
    text-decoration: none;
}
header nav {
    grid-column: 7 / span 6;
}
header nav ul {
    display: flex;
    justify-content: flex-end;
    list-style-type: none;
    padding: 0;
    margin-top: 30px;
    
}
header nav li a:link,
header nav li a:hover,
header nav li a:visited {
    text-decoration: none;
    font-size: 1.5rem;
    padding: 0 2rem;
}
   




.pic {
    width: 100%;
}

.container{
    background-color: white;
    width: 90%;
    max-width: 1000px;
    margin: 0 auto;
    padding: 35px 5% 0 5%;
}



/* Homepage content styles */
.home{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
}
.about {
    grid-column: 1 / span 8;
    padding: 0 5% 2rem 0;
}
.photo {
    grid-column: 9 / span 4;
}


/*work page content styles*/
.work {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.work div {
    text-align: center;
    padding: 0 5% 5% 5%;
}

/*footer styles */
footer{
    text-align: center;
    padding: 1.5rem;
    margin: .5rem 3.5rem;
    border-top: rgb(81, 81, 81) thin solid;
}
footer ul {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}
footer ul a {
    display: block;
    padding: 0 .5rem;
}
